1. steve.schafer's Avatar
    I have a Verizon Ellipsis 8 that I used specifically for flying my DJI Phantom 3 drone. A couple months ago, the tablet insisted that I upgrade OS. When I did, it deleted my DJI Go app and says its not compatible with DJI Go now. I want to flash it back to the old OS. Im currently sitting on 5.1.1., so Im assuming I need to flash back to 4.4 (KitKat)
    Can someone help me with this?
    12-31-2016 10:39 AM
  2. Rukbat's Avatar
    The Ellipsis is made by Quanta Computer, so I doubt that you'll get any information on it, but you could try XDA Forums. (You could probably buy a more powerful tablet today for about $50.)

    A better way of handling the situation is to contact the developer of the DJI app and ask if they can update it to 5.1.1, or even later.
    12-31-2016 01:25 PM

Similar Threads

  1. Just received my Shield and need help.
    By 420benz in forum NVIDIA Shield Android TV
    Replies: 8
    Last Post: 01-19-2017, 12:57 PM
  2. i cant delete 2 songs from my phone.
    By Kaoru Uchiha in forum Alcatel Android Phones
    Replies: 2
    Last Post: 01-04-2017, 03:37 PM
  3. Change my home location on HTC M8
    By zach.trumble in forum Android 6.0 Marshmallow
    Replies: 2
    Last Post: 12-31-2016, 01:20 PM
  4. Replies: 1
    Last Post: 12-31-2016, 11:03 AM
  5. Replies: 0
    Last Post: 12-31-2016, 10:21 AM
LINK TO POST COPIED TO CLIPBOARD